Check Point Advisories

HP ProCurve Manager SNAC UpdateCertificatesServlet Code Execution (CVE-2013-4812)

Check Point Reference: CPAI-2013-2960
Date Published: 30 Sep 2013
Severity: Critical
Last Updated: 24 Dec 2017
Source: HP c03897409
Industry Reference:CVE-2013-4812
Protection Provided by:

Security Gateway
R80, R77, R76, R75

Who is Vulnerable? HP Identity Driven Manager 4.0
HP ProCurve Manager 3.20
HP ProCurve Manager 4.0
HP ProCurve Manager Plus 3.20
HP ProCurve Manager Plus 4.0
Vulnerability Description A vulnerability has been reported in HP ProCurve Manager SNAC. The vulnerability is due to lack of authentication and directory traversal. A remote unauthenticated attacker could exploit this vulnerability by sending a crafted request to the vulnerable server. Successful exploitation could result in code execution in the context of SYSTEM account.

Protection Overview

This protection will detect and block attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update.For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R76 / R75

  1. In the IPS tab, click Protections and find the HP ProCurve Manager SNAC UpdateCertificatesServlet Code Execution protection using the Search tool and Edit the protection's settings.
  2. Install policy on all modules.

This protection's log will contain the following information:

Attack Name:  HP Products Protection Violation.
Attack Information:  HP ProCurve Manager SNAC UpdateCertificatesServlet Code Execution

This website uses cookies to ensure you get the best experience. Got it, Thanks! MORE INFO